Skip to content

List Lifecycle Lead Statuses

GET
/lifecycle-contacts/lead-statuses

The CRM lead statuses present on the organisation’s contacts: the options of the grid’s Lead Status filter.

Statuses are a per-CRM picklist (Salesforce, HubSpot, …), so the list comes from the data. Read-only.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

The CRM lead statuses present on the organisation’s contacts.

object
values

Status names, e.g. Open - Not Contacted.

Array<string>
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string